Bug 2094684 - After upgrade pgadmin-qt from 6.8-3.fc37 to 6.9-1.fc37 selection and coping result from data output stopped working
Summary: After upgrade pgadmin-qt from 6.8-3.fc37 to 6.9-1.fc37 selection and coping r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-08 07:55 UTC by Mikhail
Modified: 2022-06-17 01:13 UTC (History)
1 user (show)

Fixed In Version: pgadmin4-6.9-4.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-17 01:13:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Demonstration (10.10 MB, video/webm)
2022-06-08 07:55 UTC, Mikhail
no flags Details

Description Mikhail 2022-06-08 07:55:22 UTC
Created attachment 1887887 [details]
Demonstration

Created attachment 1887887 [details]
Demonstration

Description of problem:
After upgrade pgadmin-qt from 6.8-3.fc37 to 6.9-1.fc37 selection and coping result from data output stopped working

Version-Release number of selected component (if applicable):
6.9-1.fc37 and above

How reproducible:
Please see attached demonstration

Steps to Reproduce:
1. Open "Query Tool"
2. Enter and execute SQL query
3. Try copy all data from "Data Output" tab

Actual results:
Can't copy any result

Expected results:
Can select all rows (Ctrl + A) and copy result as text (Ctrl + C)

Comment 1 Fedora Update System 2022-06-08 12:05:00 UTC
FEDORA-2022-e92668e4ba has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e92668e4ba

Comment 2 Fedora Update System 2022-06-09 16:17:07 UTC
FEDORA-2022-e92668e4ba has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e92668e4ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e92668e4ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Mikhail 2022-06-09 20:40:47 UTC
Another would be to return the selection of cells through Shift + Arrows buttons and Ctrl + A.

Comment 4 Fedora Update System 2022-06-17 01:13:58 UTC
FEDORA-2022-e92668e4ba has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.